import apis from '../utils/request';
import { replaceSpecialIcon } from '../utils/index'
const { GET, POST, PUT, DELETE } = apis

// 获取园区id模糊搜索商户列表
export const getTenementList = async function({ park, keyword }) {
  return await GET(`/wx/getTenementList?park=${park}&keyword=${replaceSpecialIcon(keyword)}`);
}

// 获取名下所有的商户
export const getOwnTenementList = async function() {
  return await GET(`/wx/getOwnTenements`);
}

// 获取商户详情
export const getTenementDetail = async function(id) {
  return await GET(`/wx/getTenementDetail/${id}`);
}

// 获取商户是否限电
export const getTenementExceptionalCase = async function(pid, tid) {
  return await GET(`/wx/exceptionalCase/${pid}/${tid}`);
}