import apis from '../utils/request';
import { replaceSpecialIcon } from '../utils/index'
const { GET, POST, PUT, DELETE } = apis

// 获取园区列表
export const getParkList = async function({ keyword = "" }) {
  return await GET(`/wx/getParkList?keyword=${keyword || ""}`);
}

// 获取未登录的园区列表
export const getLoginParkList = async function({ keyword }) {
  return await GET(`/wx/getLoginParkList?keyword=${replaceSpecialIcon(keyword)}`);
}